Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.opensymphony.xwork2.validator.validators
Class FieldValidatorSupport

    java.lang.Object
      com.opensymphony.xwork2.validator.validators.ValidatorSupport
          com.opensymphony.xwork2.validator.validators.FieldValidatorSupport

All Implemented Interfaces:
  FieldValidator, ShortCircuitableValidator, Validator

Direct Known Subclasses:
  AbstractRangeValidator, DoubleRangeFieldValidator, FieldExpressionValidator, RegexFieldValidator, RepopulateConversionErrorFieldValidatorSupport, RequiredFieldValidator, RequiredStringValidator, StringLengthFieldValidator, URLValidator, VisitorFieldValidator

    public abstract class FieldValidatorSupport

extends ValidatorSupport
implements FieldValidator

Base class for field validators.

Author:
  Jason Carreira

Field Summary
`private String` | `fieldName`
`private String` | `type`

Fields inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`defaultMessage, log, messageKey`

Constructor Summary
`FieldValidatorSupport()`

Method Summary
`String` | `getFieldName()`
`String` | `getValidatorType()`
`void` | `setFieldName(String fieldName)` Sets the field name to validate with this FieldValidator
`void` | `setValidatorType(String type)`

Methods inherited from class com.opensymphony.xwork2.validator.validators.ValidatorSupport
`addActionError, addFieldError, conditionalParse, getDefaultMessage, getFieldValue, getMessage, getMessageKey, getParse, getValidatorContext, isShortCircuit, setDefaultMessage, setMessageKey, setParse, setShortCircuit, setValidatorContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.opensymphony.xwork2.validator.Validator
`getDefaultMessage, getMessage, getMessageKey, getValidatorContext, setDefaultMessage, setMessageKey, setValidatorContext, validate`

Field Detail

### fieldName

    private String fieldName

### type

    private String type

Constructor Detail

### FieldValidatorSupport

    public FieldValidatorSupport()

Method Detail

### setFieldName

    public void setFieldName(String fieldName)

  Description copied from interface: `FieldValidator`
  Sets the field name to validate with this FieldValidator

  Specified by:
    `setFieldName` in interface `FieldValidator`

### getFieldName

    public String getFieldName()

  Specified by:
    `getFieldName` in interface `FieldValidator`
  Returns:
    the field name to be validated

### setValidatorType

    public void setValidatorType(String type)

  Specified by:
    `setValidatorType` in interface `Validator`
  Overrides:
    `setValidatorType` in class `ValidatorSupport`

### getValidatorType

    public String getValidatorType()

  Specified by:
    `getValidatorType` in interface `Validator`
  Overrides:
    `getValidatorType` in class `ValidatorSupport`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2007 OpenSymphony. All Rights Reserved.